gr::gsm::preprocess_tx_burst Class Reference

A block that does preprocessing tasks before sending bursts to modulator. More...

`#include <preprocess_tx_burst.h>`

Inheritance diagram for gr::gsm::preprocess_tx_burst:

## Public Types

typedef std::shared_ptr< preprocess_tx_burst > | sptr

## Static Public Member Functions

static sptr | make ()
| Return a shared_ptr to a new instance of gsm::preprocess_tx_burst.

## Detailed Description

A block that does preprocessing tasks before sending bursts to modulator.

Currently it removes GSMTAP header from a burst and puts it in first part of PDU pair and removes tailing zeros from Access Bursts coming from TRX interface.

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<preprocess_tx_burst> gr::gsm::preprocess_tx_burst::sptr

## Member Function Documentation

## make()

sptr gr::gsm::preprocess_tx_burst::make | ( |  | ) |

static

Return a shared_ptr to a new instance of gsm::preprocess_tx_burst.

To avoid accidental use of raw pointers, gsm::preprocess_tx_burst's constructor is in a private implementation class. gsm::preprocess_tx_burst::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- preprocess_tx_burst.h